# Generated by Django 4.0.7 on 2022-08-26 10:16

import wagtail.blocks
import wagtail.fields
from django.db import migrations, models

import main.blocks
import shared.blocks


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0023_alter_mainprogrampage_program"),
    ]

    operations = [
        migrations.AddField(
            model_name="mainhomepage",
            name="max_items",
            field=models.IntegerField(
                default=4, verbose_name="Počet tweetů na stránce"
            ),
        ),
        migrations.AlterField(
            model_name="mainhomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "carousel",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "slides",
                                    wagtail.blocks.ListBlock(
                                        main.blocks.HomePageCarouseSlideBlock,
                                        label="Obrázky s nadpisy - carouselu",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "news",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Nejnovější články se načtou automaticky",
                                        label="Titulek",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "people",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(label="Hlavní titulek"),
                                ),
                                (
                                    "list",
                                    wagtail.blocks.ListBlock(
                                        shared.blocks.PersonBoxBlock, label="Boxíky"
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "regions",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Články pro regiony se načtou automaticky",
                                        label="Titulek",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "tweets",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Tweety budou načteny pro všechny profily uvedené v nastavení webu automaticky",
                                        label="Titulek",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "boxes",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Nadpis")),
                                (
                                    "list",
                                    wagtail.blocks.ListBlock(
                                        shared.blocks.PersonBoxBlock, label="Boxíky"
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Hlavní obsah",
            ),
        ),
        migrations.AlterField(
            model_name="mainhomepage",
            name="social_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "social_links",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "text",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek odkazu (text, který se zobrazí místo dlouhého odkazu)"
                                    ),
                                ),
                                ("link", wagtail.blocks.URLBlock(label="Odkaz")),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Seznam ikon - https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons",
                                        label="Ikona",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Odkazy na sociální sítě v zápatí webu",
            ),
        ),
        migrations.AlterField(
            model_name="mainpersonpage",
            name="social_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "social_links",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "text",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek odkazu (text, který se zobrazí místo dlouhého odkazu)"
                                    ),
                                ),
                                ("link", wagtail.blocks.URLBlock(label="Odkaz")),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Seznam ikon - https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons",
                                        label="Ikona",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Odkazy na sociální sítě",
            ),
        ),
    ]
